// __author__ = Juan Carlos De Abreu (jcabreur@gmail.com)

#include "app.h"

BEGIN_TEG_NAMESPACE();

// App Constructor.
AppWindow::AppWindow() : width(640), height(480), fullScreen(true), isRunning(true) {
	// Try to load the resolution from a file
	FILE* f = fopen("Data/ScreenSettings.txt", "r");
	if (f != NULL) {
		int w, h; char fs;
		if(fscanf(f, "%d %d %c", &w, &h, &fs) == 3) {
			width = w; height = h; fullScreen = fs == 't';
		}
		fclose(f);
	}
	
	// Set the height for the caption bar.
	captionBarHeight = 26;
}

// App destructor.
AppWindow::~AppWindow() { }

// Input constructor.
Input::Input() { }

// Input destructor
Input::~Input() { }

// Key constructor
KeyBoard::KeyBoard() { }

// Key destructor
KeyBoard::~KeyBoard() { }

// Mouse constructor
Mouse::Mouse() { }

// Mouse destructor
Mouse::~Mouse() { }

END_TEG_NAMESPACE();
